POST
/workspace/membersList workspace members
Lists members of the workspace. Use cursor or beforeCursor to navigate between pages, and query to filter the list by text. Set adminView to include items the authenticated user can access through their admin role.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
Filters and pagination options for the workspace member list.
adminViewbooleanoptional
If `true`, the list includes all items the admin has global permissions to access by virtue of their admin role.
beforeCursorstringoptional
Set to `prevCursor` from the previous call to list the previous page. Ignored when `cursor` is also supplied.
cursorstringoptional
Set cursor to `nextCursor` returned by the previous call to list items in the next page.
limitintegeroptional
Maximum number of items to return per page.
querystringoptional
Optional text filter to search within the listed items (e.g. filter members by name).
200Returns a paginated list of workspace members.
dataobjectoptional
statusintegeroptional
successbooleanoptional
403Returned when the authenticated user does not have permission to list workspace members.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
A 403 is returned when the authenticated user does not have permission to list workspace members. limit must be between 1 and 100 and defaults to 20 when omitted.